Updated: 2010-10-20 Due date:
Subject: ValidatorResolver tries to use data type as validator type
Description

When buildMethodArgumentsValidatorConjunctions() iterates over method arguments, it tries to get a validator for each type. This
works for simple types, but for objects the class name is used as validator directly. This is a) nonsense and b) causes circular
dependency problems to begin with.

The problem is caused $typeValidator = $this->createValidator($methodParameter['type']);, since createValidator() expects to get
either one of the internal validator shorthands or the fully qualified name of a validator - but not a data type!

Associated revisions
Revision b684099d - 2009-10-02 13:36 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Validation): ValidatorResolver no longer tries to use action method argument data type as validator type, fixes #4857. Optimized a
little.

History
#1 - 2009-10-02 11:03 - Bastian Waidelich

Additional note: IIRC resolveValidatorObjectName() calls isObjectRegistered() on the object manager (and fires the FLOW3 autoloader) for simple
types too. As arguments are mostly non-objects, this could be a performance issue..

#2 - 2009-10-02 12:17 - Karsten Dambekalns

Bastian Waidelich wrote:

Additional note: IIRC resolveValidatorObjectName() calls isObjectRegistered() on the object manager (and fires the FLOW3 autoloader) for simple
types too.

isObjectRegistered() is more or less a simple isset() - no autoloader involved.

#3 - 2009-10-02 14:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3288.
